Debian Bug report logs - #640922
pu: package eglibc/2.11.2-10 (Was: Bug#639897: Please don't check /proc/mounts)

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Sandro Tosi <morph@debian.org>

Date: Thu, 8 Sep 2011 14:36:01 UTC

Severity: normal

Tags: squeeze

Fixed in version 6.0.4

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#640922; Package release.debian.org. (Thu, 08 Sep 2011 14:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 08 Sep 2011 14:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package eglibc/2.11.2-10 (Was: Bug#639897: Please don't check /proc/mounts)
Date: Thu, 8 Sep 2011 16:31:50 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: pu
Severity: normal

Dear SRM,
would you consider the attached patches for a squeeze point release for eglibc?

The reason behind this request is: on systems with a lot of mounts,
statvfs64() libc function takes a huge amount of times since it needs
to parse /proc/mounts. With the proposed patches, and with a kernel
from bpo (it's needed >= 2.6.36 where there's a syscall to get what
libc needs) we can fix this behavior.

Thanks for considering,
Sandro & Aurelien

PS: resent as a bug.

On Thu, Sep 8, 2011 at 15:50, Aurelien Jarno <aurel32@debian.org> wrote:
> Hi,
>
> On Wed, Sep 07, 2011 at 11:30:17AM +0200, Sandro Tosi wrote:
>> Hi Aurelien,
>> thanks for your reply and sorry for mine being so late
>>
>> On Fri, Sep 2, 2011 at 21:56, Aurelien Jarno <aurel32@debian.org> wrote:
>> > As always, when the libc doesn't have the information from a kernel
>> > syscall, it needs to get it another way, and it often ends up using
>> > /proc or /sys as the source of information. In some cases it can't take
>> > huge amount of time, but the problem is not that the libc doesn't parse
>> > the pseudo file inefficiently, just that the kernel has to generate
>> > insane amount of useless data.
>>
>> Thanks for the explanation!
>>
>> > In your case of statvfs(), the problem has been solved a bit more than
>> > one year ago, by exporting the missing data directly through the
>> > syscall. For that you need a libc >= 2.13 and a kernel >= 2.6.36. I
>> > guess in your case you are using Squeeze, which doesn't meet these
>> > requirements.
>>
>> Yep, I'm on squeeze.
>>
>> > The libc patch is trivial to backport, having it in squeeze is mostly
>> > about convincing the release managers that it's useful and safe. On the
>>
>> Can you point me to that relevant patch? I can try to talk to RM but I
>> guess we won't get that far: given it won't solve the problem at hand
>> just by itself, because it requires an updated kernel, it would
>> probably get rejected - but worth a try.
>
> Please find attached the two patches, one for the libc and one for the
> architectures in ports. Even if they might look big at the first place,
> they are actually quite trivail.
>
>> > kernel side, it seems a bit more complicated, as the change has been
>> > followed by a lot of small bug fixes.
>>
>> I see. What would you suggest as a better approach to solve our
>> problem? is backporting libc a feasable solution? bpo already have
>> 2.6.38 (or now even later) kernel version, so we can probably use
>> that.
>>
>
> I don't think having a libc in backports.org is really a good idea,
> especially with all the current multiarch changes, it would also mean
> that plenty of other packages would have to be backported (most of the
> toolchain for example). Given that backports is now an official Debian
> service, it looks like the best is to get the needed changes in
> eglibc/stable and use a kernel from backports.org.
>
> Cheers,
> Aurelien
>
> --
> Aurelien Jarno                          GPG: 1024D/F1BCDB73
> aurelien@aurel32.net                 http://www.aurel32.net
>



-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi
[statfs.patch (text/x-diff, attachment)]
[statfs-ports.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#640922; Package release.debian.org. (Mon, 12 Sep 2011 18:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 12 Sep 2011 18:45:18 GMT) Full text and rfc822 format available.

Message #10 received at 640922@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sandro Tosi <morph@debian.org>, 640922@bugs.debian.org
Cc: Aurelien Jarno <aurelien@aurel32.net>
Subject: Re: Bug#640922: pu: package eglibc/2.11.2-10 (Was: Bug#639897: Please don't check /proc/mounts)
Date: Mon, 12 Sep 2011 19:40:39 +0100
On Thu, 2011-09-08 at 16:31 +0200, Sandro Tosi wrote:
> would you consider the attached patches for a squeeze point release for eglibc?
> 
> The reason behind this request is: on systems with a lot of mounts,
> statvfs64() libc function takes a huge amount of times since it needs
> to parse /proc/mounts. With the proposed patches, and with a kernel
> from bpo (it's needed >= 2.6.36 where there's a syscall to get what
> libc needs) we can fix this behavior.

Aurelien - are these patches already included in the proposed eglibc
2.11.4?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#640922; Package release.debian.org. (Tue, 13 Sep 2011 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 13 Sep 2011 05:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 640922@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Sandro Tosi <morph@debian.org>, 640922@bugs.debian.org
Subject: Re: Bug#640922: pu: package eglibc/2.11.2-10 (Was: Bug#639897: Please don't check /proc/mounts)
Date: Tue, 13 Sep 2011 07:10:29 +0200
On Mon, Sep 12, 2011 at 07:40:39PM +0100, Adam D. Barratt wrote:
> On Thu, 2011-09-08 at 16:31 +0200, Sandro Tosi wrote:
> > would you consider the attached patches for a squeeze point release for eglibc?
> > 
> > The reason behind this request is: on systems with a lot of mounts,
> > statvfs64() libc function takes a huge amount of times since it needs
> > to parse /proc/mounts. With the proposed patches, and with a kernel
> > from bpo (it's needed >= 2.6.36 where there's a syscall to get what
> > libc needs) we can fix this behavior.
> 
> Aurelien - are these patches already included in the proposed eglibc
> 2.11.4?
> 

No, they are not. I am waiting for your opinion before adding them to 
our stable branch.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Added tag(s) squeeze. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Sep 2011 21:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#640922; Package release.debian.org. (Wed, 28 Sep 2011 14:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Sep 2011 14:24:05 GMT) Full text and rfc822 format available.

Message #22 received at 640922@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Aurelien Jarno <aurelien@aurel32.net>, 640922@bugs.debian.org
Cc: Sandro Tosi <morph@debian.org>
Subject: Re: Bug#640922: pu: package eglibc/2.11.2-10 (Was: Bug#639897: Please don't check /proc/mounts)
Date: Wed, 28 Sep 2011 15:21:14 +0100
On Tue, 2011-09-13 at 07:10 +0200, Aurelien Jarno wrote:
> On Mon, Sep 12, 2011 at 07:40:39PM +0100, Adam D. Barratt wrote:
> > On Thu, 2011-09-08 at 16:31 +0200, Sandro Tosi wrote:
> > > would you consider the attached patches for a squeeze point release for eglibc?
> > > 
> > > The reason behind this request is: on systems with a lot of mounts,
> > > statvfs64() libc function takes a huge amount of times since it needs
> > > to parse /proc/mounts. With the proposed patches, and with a kernel
> > > from bpo (it's needed >= 2.6.36 where there's a syscall to get what
> > > libc needs) we can fix this behavior.
> > 
> > Aurelien - are these patches already included in the proposed eglibc
> > 2.11.4?
> > 
> No, they are not. I am waiting for your opinion before adding them to 
> our stable branch.

Unfortunately we don't appear to have settled on a final opinion yet.
Due to the closeness of the p-u-NEW freeze we've decided to not include
these changes in 6.0.3 and revisit them shortly afterwards when we look
at the eglibc stable changes again.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 14 Jan 2012 21:03:13 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.4, send any further explanations to Sandro Tosi <morph@debian.org> Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 14:06:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:33:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:34:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.